kube-prometheus-stack:
  alertmanager:
    ingress:
      enabled: true
      ingressClassName: nginx
      annotations: 
        cert-manager.io/cluster-issuer: letsencrypt
      labels: {}
      hosts:
        - alertmanager.glkptn.app
      paths:
        - /
      pathType: ImplementationSpecific
      tls:
        - hosts:
            - alertmanager.glkptn.app
          secretName: alertmanager.glkptn.app

  grafana:
    ingress:
      enabled: true
      ingressClassName: nginx
      annotations: 
        cert-manager.io/cluster-issuer: letsencrypt
      labels: {}
      hosts:
        - grafana.glkptn.app
      paths:
        - /
      pathType: ImplementationSpecific
      tls:
        - hosts:
            - grafana.glkptn.app
          secretName: grafana.glkptn.app
    grafana.ini:
      paths:
        data: /var/lib/grafana/
        logs: /var/log/grafana
        plugins: /var/lib/grafana/plugins
        provisioning: /etc/grafana/provisioning
      analytics:
        check_for_updates: true
      log:
        mode: console
      grafana_net:
        url: https://grafana.net
      server:
        root_url: https://grafana.glkptn.app/
      auth.gitlab:
        enabled: true
        allow_sign_up: true
        scopes: read_api
        auth_url: https://gitlab.com/oauth/authorize
        token_url: https://gitlab.com/oauth/token
        api_url: https://gitlab.com/api/v4
        allowed_groups: everyonecancontribute

  prometheus:
    ingress:
      enabled: true
      ingressClassName: nginx
      annotations: 
        cert-manager.io/cluster-issuer: letsencrypt
      labels: {}
      hosts:
        - prometheus.glkptn.app
      paths:
        - /
      pathType: ImplementationSpecific
      tls:
        - hosts:
            - prometheus.glkptn.app
          secretName: prometheus.glkptn.app